import os
import pandas as pd
from imblearn.over_sampling import SMOTE, ADASYN
from collections import Counter
dirstr = "C:\\FILES_FOR_PRED_SOM\\BY_ENZYMES\\"
i=0
j=0

mydata = pd.read_csv (dirstr + "CYP1A2-all-out.csv")

target = mydata["SOM"]
data = mydata.ix[:, :-1]
#print (mydata.ix[:, :-1])
#print (mydata.ix[:])
#X1_resampled, y_resampled = SMOTE(k_neighbors = 5, m_neighbors = 10, kind='borderline1', n_jobs=2 ).fit_sample(mydata.ix[:, :-1], target)

sm = SMOTE(ratio = "auto", random_state = None, k_neighbors = 5, m_neighbors = 10, kind='regular', n_jobs = 1)
X1_resampled, y_resampled = sm.fit_sample(mydata.ix[:, :-1], target)
mydataframe = pd.DataFrame(X1_resampled, y_resampled)
mydataframe.to_csv (dirstr + "CYP1A2-all-out-randomized.csv")
#X1_resampled, X2_resampled = SMOTE(kind='borderline1').fit_sample(mydata.ix[0], mydata.ix[1])
##print(sorted(Counter(X1_resampled).items()))
print (X1_resampled, y_resampled)
print ("Resampled dataset shape {}".format(Counter(y_resampled)))

#print (data)
#print (target)